<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <!-- strip all spaces -->
  <xsl:strip-space elements="item" />
  <xsl:template match="/items">
    <!-- apply the body template -->
    <xsl:apply-templates select="item" /></xsl:template>
  <xsl:template match="item">
    <!-- create list -->
    
    <ul id="atozdirectory">
      <!-- list item -->
      <li>
        <h2 id="a">A</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1) = 'A']" mode="a">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="b">B</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='B']" mode="b">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="c">C</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='C']" mode="c">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="d">D</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='D']" mode="d">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" case-order="lower-first" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="e">E</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='E']" mode="e">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="f">F</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='F']" mode="f">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="g">G</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='G']" mode="g">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="h">H</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='H']" mode="h">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="i">I</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='I']" mode="i">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="j">J</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='J']" mode="j">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="k">K</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='K']" mode="k">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="l">L</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='L']" mode="l">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="m">M</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='M']" mode="m">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="n">N</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='N']" mode="n">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="o">O</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='O']" mode="o">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="p">P</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='P']" mode="p">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="q">Q</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='Q']" mode="q">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="r">R</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='R']" mode="r">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="s">S</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='S']" mode="s">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="t">T</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='T']" mode="t">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="u">U</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='U']" mode="u">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="v">V</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='V']" mode="v">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="w">W</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='W']" mode="w">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="x">X</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='X']" mode="x">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="y">Y</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='Y']" mode="y">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
      <li>
        <h2 id="z">Z</h2>
        <!--  group starting with specific letter -->
        <xsl:apply-templates select="/items//item[substring(title, 1, 1)='Z']" mode="z">
          <!-- sort group in ascending order -->
          <xsl:sort select="title" />
        </xsl:apply-templates>
        <!-- top link -->
        <xsl:call-template name="top" />
        
      </li>
    </ul>
    <!-- end list -->
  </xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="a">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="b">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="c">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="d">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="e">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="f">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="g">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="h">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="i">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="j">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="k">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="l">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="m">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="n">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="o">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="p">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="q">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="r">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="s">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="t">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="u">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="v">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="w">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="x">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//item" mode="y">
    <xsl:call-template name="group" /></xsl:template>
  <!--  template for group starting with specific letter -->
  <xsl:template match="//items" mode="z">
    <xsl:call-template name="group" /></xsl:template>
  <xsl:template name="group">
    <!-- definition list -->
    <dl>
      <dt><a>
        <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
        <xsl:value-of select="title" /></a></dt>
      <dd><xsl:value-of select="description" /></dd>
    </dl>
    <!-- end definition list -->
  </xsl:template>
  <!-- top link -->
  <xsl:template name="top">
    <p><a href="#toc" class="to-top">Top</a></p>
  </xsl:template>
</xsl:stylesheet>
