<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <xsl:template match="/items">
    <ul class="parent-siblings-children">
      <li>
        <xsl:element name="a">
          <xsl:attribute name="href"><xsl:value-of
select="/items/item/link"/></xsl:attribute>
          <xsl:attribute name="title"><xsl:value-of
select="/items/item/description"/></xsl:attribute>
          <xsl:value-of select="/items/item/title"/>
        </xsl:element>
        <xsl:for-each select="item">
          <xsl:call-template name="list"/>
          
        </xsl:for-each>
      </li>
    </ul>
  </xsl:template>
  <xsl:template name="list">
    <xsl:if test="count(child::item) > 0">
      <ul class="parent-siblings-children">
        <xsl:for-each select="item [not(@type = 'utility')]">
          <li>
            <xsl:choose>
              <xsl:when test="link = $this_page">
                <strong class="current"><xsl:value-of select="title" /></strong>
              </xsl:when>
              <xsl:otherwise>
                <a>
                <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
                <xsl:value-of select="title" /></a>
              </xsl:otherwise>
            </xsl:choose>
            <xsl:call-template name="list"/></li>
        </xsl:for-each>
      </ul>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
