<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" omit-xml-declaration="yes"/>
  <xsl:strip-space elements="item" />
  <xsl:param name="this_page" />
  <xsl:template match="items">
    <xsl:for-each select="//item/item[link = $this_page]">
      <xsl:call-template name="list" />
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="list">
    <xsl:choose>
      <xsl:when test="descendant-or-self::item[not(@type = 'utility')]">
        <ul class="siblings">
          <xsl:for-each select="../item [not(@type = 'utility')]">
            <li>
              <xsl:choose>
                <xsl:when test="link = $this_page">
                  <strong class="current"><xsl:value-of select="title" /></strong>
                </xsl:when>
                <xsl:otherwise>
                  <a>
                  <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
                  <xsl:value-of select="title" /></a>
                </xsl:otherwise>
              </xsl:choose>
            </li>
          </xsl:for-each>
        </ul>
      </xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>